
using Godot;


namespace Rokojori
{  
  [Tool][GlobalClass ]
  public partial class SetNodeStateSpecific : Action
  {
    [Export]
    public Node target;

    [Export]
    public NodeStateConfiguration configuration;

    protected override void _OnTrigger()
    {      
      NodeState.Configure( target, configuration );
    }
  }

}